<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../../style.css');
        @import url('../../../../../roundedcorners.css');
        @import url('../../../../../tree.css');
            </style>
    
    <script src="../../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../../help.js" type="text/javascript"></script>
  <title>HttpCore 4.2.3</title>
</head>
<body onload="setBrowserTitle('HttpCore 4.2.3: org.apache.http.impl.entity.testEntitySerialization');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:34:57 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestEntitySerializer.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestEntitySerializer_testEntitySerialization_1l.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../../org/apache/http/impl/entity/TestEntitySerializer.html?line=170#src-170" >testEntitySerialization</a>
    </td>
        <td class="graphPercent alignTop">
        0%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        28 Nov 22:34:54
    </td>
    <td class="graphPercent alignTop">
        0.0010    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">testEntitySerialization</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.entity.EntitySerializer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/entity/EntitySerializer.html?id=57#EntitySerializer"             title="EntitySerializer" name="sl-59">org.apache.http.impl.entity.EntitySerializer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.64705884</span>
            64.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="35.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="64.7% Covered" class="barPositive contribBarPositive" style="width: 64.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.io.ContentLengthOutputStream</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/io/ContentLengthOutputStream.html?id=57#ContentLengthOutputStream"             title="ContentLengthOutputStream" name="sl-50">org.apache.http.impl.io.ContentLengthOutputStream</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5319149</span>
            53.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="46.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="53.2% Covered" class="barPositive contribBarPositive" style="width: 53.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.entity.StrictContentLengthStrategy</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/entity/StrictContentLengthStrategy.html?id=57#StrictContentLengthStrategy"             title="StrictContentLengthStrategy" name="sl-50">org.apache.http.impl.entity.StrictContentLengthStrategy</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.47619048</span>
            47.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="52.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="47.6% Covered" class="barPositive contribBarPositive" style="width: 47.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.message.BasicHeader</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/message/BasicHeader.html?id=57#BasicHeader"             title="BasicHeader" name="sl-43">org.apache.http.message.BasicHeader</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.45454547</span>
            45.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="54.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="45.5% Covered" class="barPositive contribBarPositive" style="width: 45.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.io.HttpTransportMetricsImpl</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/io/HttpTransportMetricsImpl.html?id=57#HttpTransportMetricsImpl"             title="HttpTransportMetricsImpl" name="sl-39">org.apache.http.impl.io.HttpTransportMetricsImpl</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4</span>
            40%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="60% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="40% Covered" class="barPositive contribBarPositive" style="width: 40%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.entity.ByteArrayEntity</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/entity/ByteArrayEntity.html?id=57#ByteArrayEntity"             title="ByteArrayEntity" name="sl-43">org.apache.http.entity.ByteArrayEntity</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.3207547</span>
            32.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="67.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="32.1% Covered" class="barPositive contribBarPositive" style="width: 32.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.impl.io.AbstractSessionOutputBuffer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/impl/io/AbstractSessionOutputBuffer.html?id=57#AbstractSessionOutputBuffer"             title="AbstractSessionOutputBuffer" name="sl-69">org.apache.http.impl.io.AbstractSessionOutputBuffer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.24836601</span>
            24.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="75.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="24.8% Covered" class="barPositive contribBarPositive" style="width: 24.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.params.HttpProtocolParams</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/params/HttpProtocolParams.html?id=57#HttpProtocolParams"             title="HttpProtocolParams" name="sl-43">org.apache.http.params.HttpProtocolParams</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.1981982</span>
            19.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="80.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="19.8% Covered" class="barPositive contribBarPositive" style="width: 19.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.util.ByteArrayBuffer</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/util/ByteArrayBuffer.html?id=57#ByteArrayBuffer"             title="ByteArrayBuffer" name="sl-40">org.apache.http.util.ByteArrayBuffer</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.19379845</span>
            19.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="80.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="19.4% Covered" class="barPositive contribBarPositive" style="width: 19.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.message.AbstractHttpMessage</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/message/AbstractHttpMessage.html?id=57#AbstractHttpMessage"             title="AbstractHttpMessage" name="sl-43">org.apache.http.message.AbstractHttpMessage</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.18461539</span>
            18.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="81.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="18.5% Covered" class="barPositive contribBarPositive" style="width: 18.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.message.HeaderGroup</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/message/HeaderGroup.html?id=57#HeaderGroup"             title="HeaderGroup" name="sl-49">org.apache.http.message.HeaderGroup</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.14035088</span>
            14%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="86% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="14% Covered" class="barPositive contribBarPositive" style="width: 14%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.params.AbstractHttpParams</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/params/AbstractHttpParams.html?id=57#AbstractHttpParams"             title="AbstractHttpParams" name="sl-42">org.apache.http.params.AbstractHttpParams</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.14</span>
            14%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="86% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="14% Covered" class="barPositive contribBarPositive" style="width: 14%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.params.BasicHttpParams</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/params/BasicHttpParams.html?id=57#BasicHttpParams"             title="BasicHttpParams" name="sl-49">org.apache.http.params.BasicHttpParams</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.08888889</span>
            8.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="91.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="8.9% Covered" class="barPositive contribBarPositive" style="width: 8.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.entity.AbstractHttpEntity</span>
            &nbsp;&nbsp;<a             href="../../../../../org/apache/http/entity/AbstractHttpEntity.html?id=57#AbstractHttpEntity"             title="AbstractHttpEntity" name="sl-47">org.apache.http.entity.AbstractHttpEntity</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.06896552</span>
            6.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="93.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="6.9% Covered" class="barPositive contribBarPositive" style="width: 6.9%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:35:16 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
